export const ProgressBar = ({
  radius = 0,
  width,
  height,
  progress,
  color = 'indigo',
}) => (
  <>
    <rect
      rx={radius}
      width={width}
      height={height}
      fill="#ddd"
    />
    <rect
      rx={radius}
      width={width * progress}
      height={height}
      fill={color}
    />
    <text
      className="bar-text"
      x={width * progress}
      textAnchor="middle"
      dy="0.32em"
      y={height + 20}
      fill={color}
    >
      {Math.round(progress * 100) + '%'}
    </text>
  </>
);
