import { arc } from 'd3';

export const ProgressDonut = ({
  radius,
  width,
  progress,
  color,
}) => {
  const arcGenBg = arc()
    .innerRadius(radius - width)
    .outerRadius(radius)
    .startAngle(0)
    .endAngle(Math.PI * 2);

  const arcGenFg = arc()
    .innerRadius(radius - width)
    .outerRadius(radius)
    .startAngle(0)
    .endAngle(Math.PI * 2 * progress);

  return (
    <g transform={`translate(${radius},${radius})`}>
      <path d={arcGenBg()} fill="#ddd" />
      <path d={arcGenFg()} fill={color} />
      <text
        textAnchor="middle"
        dy="0.32em"
        fill={color}
        fontSize="1.5rem"
      >
        {Math.floor(progress * 100) + '%'}
      </text>
    </g>
  );
};
