import { arc } from 'd3';

export const ProgressGauge = ({
  radius,
  width,
  progress,
  color,
}) => {
  const arcGenBg = arc()
    .innerRadius(radius - width)
    .outerRadius(radius)
    .startAngle(0)
    .startAngle(-Math.PI * 0.5)
    .endAngle(Math.PI * 0.5);

  const arcGenFg = arc()
    .innerRadius(radius - width)
    .outerRadius(radius)
    .startAngle(-Math.PI / 2)
    .endAngle(Math.PI * (progress - 0.71));

  return (
    <g transform={`translate(${radius},${radius})`}>
      <path d={arcGenBg()} fill="#ddd" />
      <path
        d={arcGenFg()}
        fill={color}
        strokeLinecap="round"
      />
      <text
        textAnchor="middle"
        fill={color}
      >
        {Math.floor(progress * 100) + '%'}
      </text>
    </g>
  );
};
