import React from 'react';
import ReactDOM from 'react-dom';
import { timeFormat } from 'd3';
import { VizContainer } from './VizContainer';
import { ProgressGauge } from './ProgressGauge';

// set the dimensions and margins of the graph
var margin = {top: 0, right: 0, bottom: 0, left: 0},
    width = 900 - margin.left - margin.right,
    height = 400 - margin.top - margin.bottom;


const today = new Date();
const year = today.getFullYear();
const maxDays = timeFormat('%j')(new Date(`${year}-12-31`));
const dayOfYear = timeFormat('%j')(today);

const progress = 200 / maxDays;

const App = () => {
  return (
    <VizContainer
      width={width}
      height={height}
      margin={margin}
      innerWidth={innerWidth}
      innerHeight={innerHeight}
    >

      <g transform="translate(10,10) scale(2)">
        <ProgressGauge
          width={30}
          progress={progress}
          radius={75}
          color={'#EAA34E'}
        />
      </g>
    </VizContainer>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
